## org.apache.lucene.util.packed
Class PackedInts.Writer

    java.lang.Object
      org.apache.lucene.util.packed.PackedInts.Writer

Enclosing class:
  PackedInts

    public abstract static class PackedInts.Writer

extends Object

A write-once Writer.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Field Summary
`protected int` `bitsPerValue`
`protected DataOutput` `out`
`protected int` `valueCount`

Constructor Summary
`protected` `PackedInts.Writer(DataOutput out, int valueCount, int bitsPerValue)`

Method Summary
`abstract void` `add(long v)` Add a value to the stream.
`int` `bitsPerValue()` The number of bits per value.
`abstract void` `finish()` Perform end-of-stream operations.
`protected abstract PackedInts.Format` `getFormat()` The format used to serialize values.
`abstract int` `ord()` Returns the current ord in the stream (number of values that have been written so far minus one).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected final DataOutput out

### valueCount

    protected final int valueCount

### bitsPerValue

    protected final int bitsPerValue

Constructor Detail

### PackedInts.Writer

    protected PackedInts.Writer(DataOutput out,
                                int valueCount,
                                int bitsPerValue)

Method Detail

### getFormat

    protected abstract PackedInts.Format getFormat()

  The format used to serialize values.

### add

    public abstract void add(long v)
                      throws IOException

  Add a value to the stream.

  Throws:
    `IOException`

### bitsPerValue

    public final int bitsPerValue()

  The number of bits per value.

### finish

    public abstract void finish()
                         throws IOException

  Perform end-of-stream operations.

  Throws:
    `IOException`

### ord

    public abstract int ord()

  Returns the current ord in the stream (number of values that have been written so far minus one).

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.